(function() {
	'use strict';

	// Anti-hacking
	const myScript = document.scripts[document.scripts.length - 1];
	const hash = myScript.dataset.id;

	const pluxmlPath = myScript.dataset.path;

	const spinner = document.querySelector('.kzRating-spinner');

	function vote(event) {
		var el = event.target;
		while(el.tagName != 'LI' && el != event.currentTarget) {
			el = el.parentElement;
		}
		if(el.tagName == 'LI') {
			event.preventDefault();
			const artId = el.parentElement.dataset.art
			const note = el.title.replace(/^(\d+).*/, '$1');
			const xhr = new XMLHttpRequest();
			xhr.onload = function() {
				if(spinner != null) {
					spinner.classList.remove('active');
				}

				const response = JSON.parse(this.response);
				// console.log(response);
				alert(response.text);
				if(response.status == 1) {
					const query = '.kzRating[data-art="' + response.id + '"]';
					const banner = document.querySelector(query);
					if(banner != null) {
						banner.innerHTML = response.stars;
						const container = banner.parentElement;
						['ballots', 'note'].forEach(function(key) {
							const el = container.querySelector('.' + key);
							if(el != null) {
								el.textContent = response[key];
							}
						});
					} else {
						console.error(query + ' element not found');
					}
				}
			};
			xhr.error = function() {
				if(spinner != null) {
					spinner.classList.remove('active');
				}

				console.error(this);
			};

			const location = document.location;
			const url = location.protocol + '//' + location.hostname + pluxmlPath + '/index.php?article' + artId + '/kzRating' + note + '/' + hash;
			xhr.open('GET', url);
			xhr.send();
			if(spinner != null) {
				spinner.classList.add('active');
			}
		}
	}

	const ranges = document.querySelectorAll('.kzRating.open');
	Array.from(ranges).forEach(function(item) {
		item.onclick = vote;
	});
})();
